/*
 * Copyright (c) 2000 Blue Mug, Inc.  All Rights Reserved.
 */

#ifndef _HERMIT_TARGET_LINUX_H
#define _HERMIT_TARGET_LINUX_H

#include <target/command.h>

/* leave 64K reserved for the boot loader (generous) */
#define LINUX_FLASH_ADDRESS	(64 * 1024)
#define LINUX_PARAM_ADDRESS	(DRAM1_START + 0x00020100)
#define LINUX_LOAD_ADDRESS	(DRAM1_START + 0x00028000)

#define INITRD_LOAD_ADDRESS	(DRAM1_START + 0x00100000)
#define INITRD_SIZE             (0x00100000)

extern void start_linux(void);
extern const command_t linux_command;
extern const command_t unzip_command;
extern const command_t boot_command;

#endif /* _HERMIT_TARGET_LINUX_H */
